# eric7.Project.DebuggerPropertiesDialog

Module implementing a dialog for entering project specific debugger settings.

### Global Attributes

None

### Classes

DebuggerPropertiesDialog | Class implementing a dialog for entering project specific debugger settings.

### Functions

None

## DebuggerPropertiesDialog

Class implementing a dialog for entering project specific debugger settings.

### Derived from

QDialog, Ui_DebuggerPropertiesDialog

### Class Attributes

None

### Class Methods

None

### Methods

DebuggerPropertiesDialog | Constructor
__clearHistory | Private method to clear a path picker history.
__saveHistories | Private method to save the path picker histories.
on_debugClientClearHistoryButton_clicked | Private slot to clear the debug clients history.
on_debugClientPicker_aboutToShowPathPickerDialog | Private slot to perform actions before the debug client selection dialog is shown.
storeData | Public method to store the entered/modified data.

### Static Methods

None

#### DebuggerPropertiesDialog (Constructor)

DebuggerPropertiesDialog(project, parent=None, name=None)

Constructor

project
  reference to the project object
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string)

#### DebuggerPropertiesDialog.__clearHistory

__clearHistory(picker)

Private method to clear a path picker history.

picker (EricComboPathPicker)
  reference to the path picker

#### DebuggerPropertiesDialog.__saveHistories

__saveHistories()

Private method to save the path picker histories.

#### DebuggerPropertiesDialog.on_debugClientClearHistoryButton_clicked

on_debugClientClearHistoryButton_clicked()

Private slot to clear the debug clients history.

#### DebuggerPropertiesDialog.on_debugClientPicker_aboutToShowPathPickerDialog

on_debugClientPicker_aboutToShowPathPickerDialog()

Private slot to perform actions before the debug client selection dialog is shown.

#### DebuggerPropertiesDialog.storeData

storeData()

Public method to store the entered/modified data.

Up